﻿@model MyApp.Web.ViewModels.UpdatePassPhraseAccountViewModel


@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;

}

<section id="updateexistingpassphrase">
    <h2>@MyApp.Web.Resources.EVAResource.updatingyourpassphrasetitle</h2>

    @if (Model.ShowPassPhraseUpdateSuccess == true)
    {
        <p class="summary">@MyApp.Web.Resources.EVAResource.passphrasesuccessfullychanged</p>
        if (Model.HasComeFromHomePage)
        {
            @Html.ActionLink(MyApp.Web.Resources.EVAResource.Continuetologinarea, "Login", "Account", null, new { @class = "shell-link-btn" })
        }
        else
        {
            <a class="shell-link-btn" href="@Model.Shell_Homepage">@MyApp.Web.Resources.EVAResource.Continuetologinarea</a>
        }

    }
    else
    {
        <h3>@MyApp.Web.Resources.EVAResource.mydetails</h3>
        using (Html.BeginForm("UpdatePassphrase", "Account", FormMethod.Post, new { @class = "form-horizontal" }))
        {

            @Html.AntiForgeryToken()

            <div class="well">
                <legend>@MyApp.Web.Resources.EVAResource.mydetails</legend>
                @if (Model.ReasonEnum == MyApp.Business.DomainObjects.Models.BusinessEnum.AuthenticationResult.TempPasswordIssued)
                {
                    <h4>@MyApp.Web.Resources.EVAResource.youmustchangeyourtemporarypassphrase</h4>
                }
                else
                {
                    <h4>@MyApp.Web.Resources.EVAResource.Yourpassphrasehasexpired</h4>
                }


                <div class="form-group">
                    @Html.LabelFor(x => x.EmailAddress)
                    @Html.TextBoxFor(m => m.EmailAddress, new { MaxLength = "100" })
                    @Html.ValidationMessageFor(m => m.EmailAddress)
                </div>

                <div class="form-group">
                    @Html.LabelFor(x => x.ExistingPassword)
                    @Html.PasswordFor(m => m.ExistingPassword, new { MaxLength = "100" })
                    @Html.ValidationMessageFor(m => m.ExistingPassword)
                </div>
                
                <div class="form-group">
                    @Html.LabelFor(x => x.NewPassPhrase)
                    @Html.PasswordFor(m => m.NewPassPhrase, new { MaxLength = "100", @class = "disablecopypaste" })
                    @Html.ValidationMessageFor(m => m.NewPassPhrase)
                </div>

                <div class="form-group">
                    @Html.LabelFor(x => x.ConfirmNewPassPhrase)
                    @Html.PasswordFor(m => m.ConfirmNewPassPhrase, new { MaxLength = "100", @class = "disablecopypaste" })
                    @Html.ValidationMessageFor(m => m.ConfirmNewPassPhrase)
                </div>
               
                <div class="form-group">
                    @Html.LabelFor(x => x.Captcha)
                    @Html.TextBoxFor(m => m.Captcha, new { MaxLength = "10" })
                    <img src="/Account/GetCaptchaImage?enid=@Model.EncryptedCaptcha&cachecode=@DateTime.Now.Ticks&rnd=@Model.RandomInt" class="captchimage" />
                    @Html.ValidationMessageFor(m => m.Captcha)
                    @Html.HiddenFor(x=>x.EncryptedCaptcha)
                </div>


                <div class="form-group">
                    <div class="col-sm-offset-2 col-sm-10">
                        @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.updatemypassphrase)
                        @Html.HiddenFor(x => x.P1)
                        @Html.HiddenFor(x => x.P2)
                        @Html.HiddenFor(x => x.HasComeFromHomePage)
                    </div>
                </div>

            </div>
        }
    }
</section>